CSS @import 目前不能支持多层依赖 #15

Closed
pushiming opened this Issue May 14, 2013 · 6 comments

Projects

None yet

4 participants

@pushiming

场景

foo 依赖 bar,bar 依赖 baz,这种情况下期望 concat 后的 foo 中包含 foo、bar 和 baz

问题

foo 中仅包含 foo 和 bar,未包含 baz

@popomore
Member
popomore commented Jun 9, 2013

应该已经支持了,用新版试试。

@popomore popomore closed this Jun 9, 2013
@pushiming

@popomore 至少 publish 一下 2.3 到 npm 啊亲……难不成要我自己下源码来 link……

@afc163
Member
afc163 commented Jun 17, 2013
npm install grunt-cmd-concat@ninja
@lepture
Member
lepture commented Jun 17, 2013

@pushiming

'0.2.3': '2013-05-09T10:36:33.054Z'

@pushiming

使用 0.2.3 后,concat 逻辑仍然不是期望的

栗子:

目录结构形如

foo/foo.css
foo/bar/bar.css
foo/bar/baz/baz.css

其中

  • baz.css @import '../bar.css';
  • bar.css @import '../foo.css';

结果在 concat baz.css 的时候告诉我

file foo/bar/foo.css not found

而实际上它应该找的是 foo/bar/bar.css 啊亲!!

@lepture lepture added a commit that referenced this issue Jun 18, 2013
@lepture lepture fix concat css #15 3cc24f8
@lepture lepture added a commit that referenced this issue Jun 18, 2013
@lepture lepture add example for css concat. #15 95af93e
@lepture lepture reopened this Jun 18, 2013
@lepture
Member
lepture commented Jun 18, 2013
npm install -f
@lepture lepture closed this Jun 18, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment